Name:		strace
Version:	4.17
Release:	%mkrel 1
Summary:	Tracks and displays system calls associated with a running process
License:	BSD
Group:		Development/Kernel
URL:		https://strace.io
Source0:	https://download.sourceforge.net/sourceforge/strace/strace-%{version}.tar.xz

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# remove unpackaged files
%__rm %{buildroot}%{_bindir}/strace-graph

%files
%doc COPYING README* CREDITS NEWS
%{_bindir}/strace*
%{_mandir}/man1/strace.1*



%changelog
* Thu Jun 01 2017 luigiwalser <luigiwalser> 4.17-1.mga6
+ Revision: 1105722
- 4.17

* Sun Feb 26 2017 luigiwalser <luigiwalser> 4.16-1.mga6
+ Revision: 1087927
- 4.16

* Fri Dec 23 2016 luigiwalser <luigiwalser> 4.15-1.mga6
+ Revision: 1076651
- 4.15

* Tue Oct 25 2016 luigiwalser <luigiwalser> 4.14-1.mga6
+ Revision: 1063526
- 4.14

* Wed Aug 10 2016 luigiwalser <luigiwalser> 4.13-1.mga6
+ Revision: 1045345
- 4.13

* Mon Jun 06 2016 tv <tv> 4.11-2.mga6
+ Revision: 1020431
- do not package huge ChangeLog

* Fri Jan 01 2016 luigiwalser <luigiwalser> 4.11-1.mga6
+ Revision: 917599
- 4.11

* Sat Jul 25 2015 blino <blino> 4.10-1.mga6
+ Revision: 857245
- 4.10

* Wed Oct 15 2014 umeabot <umeabot> 4.9-4.mga5
+ Revision: 739468
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.9-3.mga5
+ Revision: 730276
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.9-2.mga5
+ Revision: 689553
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 luigiwalser <luigiwalser> 4.9-1.mga5
+ Revision: 664041
- 4.9
- drop upstreamed patch for build error

* Tue Oct 22 2013 umeabot <umeabot> 4.8-3.mga4
+ Revision: 543735
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 danf <danf> 4.8-2.mga4
+ Revision: 498883
- ptrace.patch to work around glibc 2.18 header problem

* Sun Jun 09 2013 luigiwalser <luigiwalser> 4.8-1.mga4
+ Revision: 440793
- 4.8
- remove old patches
- fix download URL
- no longer call autoreconf

* Mon Jan 14 2013 umeabot <umeabot> 4.7-3.mga3
+ Revision: 383514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 4.7-2.mga3
+ Revision: 339702
- patch6: fix build with automake 1.13

* Sun Jun 03 2012 luigiwalser <luigiwalser> 4.7-1.mga3
+ Revision: 253504
- 4.7
- disable usbdevfs patch as it does not build correctly

* Wed Apr 13 2011 tv <tv> 4.6-1.mga1
+ Revision: 84212
- new release

* Tue Jan 11 2011 blino <blino> 4.5.20-3.mga1
+ Revision: 6370
- remove old version in comment
- imported package strace

